Last Comment Bug 1118786 - Update deployment etc. for use with Python 2.7
: Update deployment etc. for use with Python 2.7
Status: VERIFIED FIXED
[kb=1623666]
:
Product: www.mozilla.org
Classification: Other
Component: Bedrock (show other bugs)
: Production
: All All
-- normal
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks: 969533
  Show dependency treegraph
 
Reported: 2015-01-07 08:21 PST by Paul [:pmac] McLanahan
Modified: 2015-02-26 10:28 PST (History)
4 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Link to Github pull-request: https://github.com/mozilla/bedrock/pull/2629 (44 bytes, text/x-github-pull-request)
2015-01-08 09:58 PST, Paul [:pmac] McLanahan
no flags Details | Review | Splinter Review

User Story
* Adjust https://github.com/mozilla/bedrock/tree/master/bin/update scripts to call proper python
  - See https://github.com/mozilla/fjord/commit/6f4eb86f15f1fc31fc892e421adb28e015ce6474 for example
* Adjust https://github.com/mozilla/bedrock/tree/master/etc/cron.d to call proper python
  - Ideally via PYTHON_PATH provided by Chief... would require this to be some form of template.
  - Alternatively, a simple duplicate hard-coding of what's in commander_settings.py      
Description User image Paul [:pmac] McLanahan 2015-01-07 08:21:10 PST
We need to update some things to use an alternate python. See steps in user story field.
Comment 1 User image Paul [:pmac] McLanahan 2015-01-07 08:29:28 PST
According to the above and the example in fjord, the enviroinment variable into which you're putting the path to the proper Python is PYTHON_PATH. This seems confusingly close to PYTHONPATH which python itself uses as its package search path[0]. How married to this are you? Can we use something a bit more unique like PYTHON_BIN? I don't really care I think, but I'm worried about confusion in future.

[0] https://docs.python.org/2/using/cmdline.html#envvar-PYTHONPATH
Comment 2 User image Paul [:pmac] McLanahan 2015-01-08 09:58:25 PST
Created attachment 8546036 [details] [review]
Link to Github pull-request: https://github.com/mozilla/bedrock/pull/2629
Comment 3 User image [github robot] 2015-01-09 11:34:05 PST
Commits pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/e9266ade1f63419aa79a9f0fcc133ccbf0694069
Bug 1118786: Prep deployment and crons for Python 2.7

https://github.com/mozilla/bedrock/commit/b9bc8c6483710ef7c594b1a4cea36623cfef20cf
Merge pull request #2629 from pmclanahan/python-2.7-1118786

Bug 1118786: Prep deployment and crons for Python 2.7
Comment 4 User image Jake Maul [:jakem] 2015-02-26 10:15:54 PST
Per the NEEDINFO in comment 1, I don't particularly care at all. On the other hand, this is already deployed and working, so........
Comment 5 User image Paul [:pmac] McLanahan 2015-02-26 10:28:55 PST
Oh yeah! Sorry about leaving this like this Jake. I was confusing env vars with settings vars in commander_settings.py. Thanks for ignoring this :)

Note You need to log in before you can comment on or make changes to this bug.